curl --request GET \
--url https://app.untetherlabs.com/api/v1/me/time-off/requests \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-11-20T07:43:34+0000",
"status": "approved",
"startDate": "2024-11-20T07:43:34+0000",
"endDate": "2024-11-20T07:43:34+0000",
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "Going on vacation with my family.",
"dailyHours": [
{
"date": "2024-10-06T00:00:00.000Z",
"duration": 0
},
{
"date": "2024-10-07T00:00:00.000Z",
"duration": 8
},
{
"date": "2024-10-08T00:00:00.000Z",
"duration": 8
}
],
"paidHours": 32,
"policy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-11-20T07:43:34+0000",
"type": "vacation",
"name": "QC Vacation",
"description": "Vacation policy for Quebec-based employees.",
"accrualUnit": "hours",
"payCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": "<unknown>",
"payCode": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Overtime",
"shorthandName": "OT",
"hexColor": "#f97316",
"type": "hours",
"value": 1.5
}
},
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Bruce Wayne",
"email": "bruce.wayne@goodhealth.com",
"hireDate": "2024-11-20T07:43:34+0000",
"status": "active",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensedRegions": [
"<string>"
],
"employmentType": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"rejectedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"name": "<string>",
"email": "<string>",
"status": "onboarding",
"isAdmin": true
},
"rejectionReason": "<string>"
}
],
"cursor": "<string>"
}curl --request GET \
--url https://app.untetherlabs.com/api/v1/me/time-off/requests \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-11-20T07:43:34+0000",
"status": "approved",
"startDate": "2024-11-20T07:43:34+0000",
"endDate": "2024-11-20T07:43:34+0000",
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "Going on vacation with my family.",
"dailyHours": [
{
"date": "2024-10-06T00:00:00.000Z",
"duration": 0
},
{
"date": "2024-10-07T00:00:00.000Z",
"duration": 8
},
{
"date": "2024-10-08T00:00:00.000Z",
"duration": 8
}
],
"paidHours": 32,
"policy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-11-20T07:43:34+0000",
"type": "vacation",
"name": "QC Vacation",
"description": "Vacation policy for Quebec-based employees.",
"accrualUnit": "hours",
"payCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": "<unknown>",
"payCode": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Overtime",
"shorthandName": "OT",
"hexColor": "#f97316",
"type": "hours",
"value": 1.5
}
},
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Bruce Wayne",
"email": "bruce.wayne@goodhealth.com",
"hireDate": "2024-11-20T07:43:34+0000",
"status": "active",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licensedRegions": [
"<string>"
],
"employmentType": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"rejectedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"name": "<string>",
"email": "<string>",
"status": "onboarding",
"isAdmin": true
},
"rejectionReason": "<string>"
}
],
"cursor": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"2024-11-20T07:43:34+0000"
"2024-11-20T07:43:34+0000"
Available expansions: policy, provider, rejectedBy
See Query Parameters for more information on expansions.
1 <= x <= 200